WinGDI.BITMAPINFO (JNA API)

com.sun.jna.platform.win32

## Class WinGDI.BITMAPINFO

- java.lang.Object
- - com.sun.jna.Structure
  - - com.sun.jna.platform.win32.WinGDI.BITMAPINFO

- Enclosing interface:
    WinGDI

      @Structure.FieldOrder(value={"bmiHeader","bmiColors"})
      public static class WinGDI.BITMAPINFO
      extends Structure

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class com.sun.jna.Structure

      `Structure.ByReference, Structure.ByValue, Structure.FieldOrder, Structure.StructField`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `WinGDI.RGBQUAD[]` | `bmiColors`
    `WinGDI.BITMAPINFOHEADER` | `bmiHeader`

    - ### Fields inherited from class com.sun.jna.Structure

      `ALIGN_DEFAULT, ALIGN_GNUC, ALIGN_MSVC, ALIGN_NONE, CALCULATE_SIZE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `BITMAPINFO()`
    `BITMAPINFO(int size)`

  - ### Method Summary

    - ### Methods inherited from class com.sun.jna.Structure

      `allocateMemory, allocateMemory, autoAllocate, autoRead, autoRead, autoWrite, autoWrite, cacheTypeInfo, calculateSize, clear, createFieldsOrder, createFieldsOrder, createFieldsOrder, createFieldsOrder, dataEquals, dataEquals, ensureAllocated, equals, fieldOffset, getAutoRead, getAutoWrite, getFieldList, getFieldOrder, getFields, getNativeAlignment, getNativeSize, getNativeSize, getPointer, getStringEncoding, getStructAlignment, hashCode, newInstance, newInstance, read, readField, readField, setAlignType, setAutoRead, setAutoSynch, setAutoWrite, setStringEncoding, size, sortFields, toArray, toArray, toString, toString, useMemory, useMemory, write, writeField, writeField, writeField`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### bmiHeader

          public WinGDI.BITMAPINFOHEADER bmiHeader

    - #### bmiColors

          public WinGDI.RGBQUAD[] bmiColors

  - ### Constructor Detail

    - #### BITMAPINFO

          public BITMAPINFO()

    - #### BITMAPINFO

          public BITMAPINFO(int size)

Copyright © 2007-2018 Timothy Wall. All Rights Reserved.